Bug 837635 - [abrt] streamtuner-2.0.8-9.fc17: streamtuner2:530:station_context_menu:TypeError: 'NoneType' object has no attribute '__getitem__'
[abrt] streamtuner-2.0.8-9.fc17: streamtuner2:530:station_context_menu:TypeEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: streamtuner (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Haase
Fedora Extras Quality Assurance
abrt_hash:14748cbd1ba94a856d0d4dcfdd5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 09:43 EDT by steinach2810
Modified: 2013-07-31 23:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: skype1 (4.47 KB, text/plain)
2012-07-04 09:43 EDT, steinach2810
no flags Details

  None (edit)
Description steinach2810 2012-07-04 09:43:25 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/streamtuner2
executable:     /usr/bin/streamtuner2
kernel:         3.4.3-1.fc17.i686.PAE
reported_to:    file: skype1
time:           Thu 28 Jun 2012 12:58:14 PM EEST
uid:            1000
username:       odorf

skype1:         Text file, 4579 bytes

backtrace:
:streamtuner2:530:station_context_menu:TypeError: 'NoneType' object has no attribute '__getitem__'
:
:Traceback (most recent call last):
:  File "/usr/bin/streamtuner2", line 399, in station_context_menu
:    return station_context_menu(treeview, event) # wrapper to the static function
:  File "/usr/bin/streamtuner2", line 530, in station_context_menu
:    path = treeview.get_path_at_pos(int(event.x), int(event.y))[0]
:TypeError: 'NoneType' object has no attribute '__getitem__'
:
:Local variables in innermost frame:
:treeview: <gtk.TreeView object at 0x89cd57c (GtkTreeView at 0x873ef18)>
:event: <gtk.gdk.Event at 0x8c2a500: GDK_BUTTON_PRESS x=394.00, y=197.00, button=3>

event_log:
:2012-07-04-16:42:59> Smolt profile successfully saved
:2012-07-04-16:43:22> The report was appended to skype1

smolt_data:
:
:
:General
:=================================
:UUID: cb16d511-9867-4b79-a1a8-999c846afd79
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 6011.90
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II X2 250 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 1763
:System Swap: 3551
:Vendor: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form factor: Desktop
:Kernel: 3.4.4-3.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:6217:17296) pci, ahci, STORAGE, Motherboard (one of many)
:(4130:38409:6217:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:38676:6217:38676) pci, radeon, VIDEO, RS880 [Radeon HD 4290]
:(4130:38401:6217:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(6217:38402:6217:38402) pci, None, PCI/PCI, N/A
:(4358:13315:6217:13315) pci, firewire_ohci, FIREWIRE, VT6315 Series Firewire Controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:6217:33128) pci, r8169, ETHERNET, Motherboard (one of many)
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17308:6217:17308) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:6217:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:6217:9504) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:6217:17305) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38671:6217:38671) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:6217:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:6217:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4147:404:6217:404) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4130:38408:6217:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 13081025 10616045 9960685 3276800 3061806 3061806
:/dev/sdb2 /boot ext4 1024 1024 508644 428033 402433 128016 127674 127674
:/dev/mapper/vg-lv_home /home ext4 4096 4096 82247347 60048200 55930901 20586496 20574194 20574194
:/dev/sdc1 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 steinach2810 2012-07-04 09:43:29 EDT
Created attachment 596226 [details]
File: skype1
Comment 2 Fedora End Of Life 2013-07-03 20:10:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 23:37:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.